/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbLinkbaseResourceObj {
    // リソース ID
    private long resource_id;
    // LinkBaseRef ID
    private long linkbaseref_id;
    // label属性
    private String resource_label;
    // title属性
    private String resource_title;
    // role属性
    private String label_role;
    // lang属性
    private String label_lang;
    // 値
    private String resource_value;

    /**
     * @return label_lang
     */
    protected String getLabel_lang() {
        return label_lang;
    }
    /**
     * @param label_lang 設定する label_lang
     */
    protected void setLabel_lang(String label_lang) {
        this.label_lang = label_lang;
    }
    /**
     * @return label_role
     */
    protected String getLabel_role() {
        return label_role;
    }
    /**
     * @param label_role 設定する label_role
     */
    protected void setLabel_role(String label_role) {
        this.label_role = label_role;
    }
    /**
     * @return linkbaseref_id
     */
    protected long getLinkbaseref_id() {
        return linkbaseref_id;
    }
    /**
     * @param linkbaseref_id 設定する linkbaseref_id
     */
    protected void setLinkbaseref_id(long linkbaseref_id) {
        this.linkbaseref_id = linkbaseref_id;
    }
    /**
     * @return resource_id
     */
    protected long getResource_id() {
        return resource_id;
    }
    /**
     * @param resource_id 設定する resource_id
     */
    protected void setResource_id(long resource_id) {
        this.resource_id = resource_id;
    }
    /**
     * @return resource_label
     */
    protected String getResource_label() {
        return resource_label;
    }
    /**
     * @param resource_label 設定する resource_label
     */
    protected void setResource_label(String resource_label) {
        this.resource_label = resource_label;
    }
    /**
     * @return resource_title
     */
    protected String getResource_title() {
        return resource_title;
    }
    /**
     * @param resource_title 設定する resource_title
     */
    protected void setResource_title(String resource_title) {
        this.resource_title = resource_title;
    }
    /**
     * @return resource_value
     */
    protected String getResource_value() {
        return resource_value;
    }
    /**
     * @param resource_value 設定する resource_value
     */
    protected void setResource_value(String resource_value) {
        this.resource_value = resource_value;
    }
    
}
